Bug 121926 - Sidebar: margin is in inches
Summary: Sidebar: margin is in inches
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-05 17:54 UTC by Xisco Faulí
Modified: 2019-01-02 14:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-05 17:54:43 UTC
Steps to reproduce:
1. Open Draw
2. Go to the sidebar - Properties.

-> Margin is in inches despite using cms everywhere else.

Reproduced in

Versió: 6.3.0.0.alpha0+
ID de la construcció: 09b8d1f480b22581f8ef31c2611f4bb7366b53c0
Fils de CPU: 4; SO: Linux 4.15; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: en-US (ca_ES.UTF-8); UI-Language: ca-ES
Calc: threaded
Comment 1 Xisco Faulí 2018-12-05 17:56:40 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/64645/
Comment 2 Commit Notification 2018-12-06 12:20:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cc797cd31e99d47db5b2815a0a86c96204a65e62%5E%21

tdf#121926: Take metrics into account

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-12-09 21:17:24 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/0ec24d6f29c319462912bbf6a2eca361fab08637%5E%21

tdf#121926: Take metrics into account

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2019-01-02 14:16:00 UTC
Solved. Verified on

Version: 6.3.0.0.alpha0+
Build ID: be8897d9c63a77b223a9c0aed1d2eb689e0e0082
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-02_04:49:04
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded